# Class MeasurementPending

java.lang.Object
org.jmol.modelset.Measurement
org.jmol.modelset.MeasurementPending

public class MeasurementPending extends Measurement

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`haveModified`
`boolean`
`haveTarget`
`int`
`numSet`

### Fields inherited from class Measurement

`colix, count, countPlusIndices, fixedValue, index, inFront, isHidden, isTrajectory, isValid, isVisible, labelColix, mad, modelIndex, ms, NMR_DC, NMR_JC, NMR_NOE_OR_J, NMR_NOT, property, pts, renderArc, renderAxis, strFormat, text, thisID, tickInfo, traceX, traceY, units, value`

## Constructor Summary

Constructors
Constructor
Description
`MeasurementPending()`

## Method Summary

Modifier and Type
Method
Description
`int`
`addPoint(int atomIndex, Point3fi ptClicked, boolean doSet)`
`int`
`getIndexOf(int atomIndex)`
`MeasurementPending`
`set(ModelSet modelSet)`
`void`
`setCount(int count)`

### Methods inherited from class Measurement

`find, fixUnits, fixValue, formatMeasurement, formatMeasurementAs, fromUnits, getAtom, getAtomIndex, getDistanceFormatForState, getInfoAsString, getLabel, getLastIndex, getMeasurement, getMeasurementScript, getPropMeasurement, getString, getStringDetail, isConnected, isInRange, isIntramolecular, isMin, isTainted, isUnits, isValid, nmrType, reformatDistanceIfSelected, refresh, sameAs, sameAsPoints, setCountM, setFromMD, setM, setModelIndex, setPoints, toString, toUnits`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### haveTarget

public boolean haveTarget

### haveModified

public boolean haveModified

### numSet

public int numSet

## Constructor Details

### MeasurementPending

public MeasurementPending()

## Method Details

### set

public MeasurementPending set(ModelSet modelSet)

### getIndexOf

public int getIndexOf(int atomIndex)

### setCount

public void setCount(int count)

Overrides:
  `setCount` in class `Measurement`

### addPoint

public int addPoint(int atomIndex, Point3fi ptClicked, boolean doSet)